Debian Bug report logs - #670808
libfuse-perl: FTBFS on kfreebsd-(i386|amd64): error: 'struct stat' has no member named 'st_atimespec'

version graph

Package: src:libfuse-perl; Maintainer for src:libfuse-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sun, 29 Apr 2012 07:18:01 UTC

Severity: serious

Found in version libfuse-perl/0.15.1-1

Fixed in version libfuse-perl/0.15.1-2

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#670808; Package src:libfuse-perl. (Sun, 29 Apr 2012 07:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 29 Apr 2012 07:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libfuse-perl: FTBFS on kfreebsd-(i386|amd64): error: 'struct stat' has no member named 'st_atimespec'
Date: Sun, 29 Apr 2012 09:13:58 +0200
Source: libfuse-perl
Version: 0.15.1-1
Severity: serious
Justification: FTBFS

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi 

With the last libfuse-perl upload (0.15.1-1), libfuse-perl FTBFS on
kfreebsd-i386 and kfreebsd-amd64:

> AutoSplitting blib/lib/Fuse.pm (blib/lib/auto/Fuse)
> /usr/bin/perl /usr/share/perl/5.14/ExtUtils/xsubpp  -typemap /usr/share/perl/5.14/ExtUtils/typemap  Fuse.xs > Fuse.xsc && mv Fuse.xsc Fuse.c
> cc -c  -I/usr/include/fuse   -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBIAN -fstack-protector -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g -ggdb   -DVERSION=\"0.15.1\" -DXS_VERSION=\"0.15.1\" -fPIC "-I/usr/lib/perl/5.14/CORE"  -Wall -DFUSE_USE_VERSION=26 -D_FILE_OFFSET_BITS=64  -pthread   -DPERL_HAS_64BITINT Fuse.c
> Fuse.xs: In function '_PLfuse_getattr':
> Fuse.xs:194:3: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:194:3: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:194:3: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:194:3: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:195:3: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:195:3: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:195:3: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:195:3: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:196:3: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:196:3: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:196:3: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:196:3: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs: In function '_PLfuse_readdir':
> Fuse.xs:1022:7: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:1022:7: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:1022:7: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:1022:7: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:1023:7: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:1023:7: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:1023:7: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:1023:7: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:1024:7: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:1024:7: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:1024:7: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:1024:7: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs: In function '_PLfuse_fgetattr':
> Fuse.xs:1284:3: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:1284:3: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:1284:3: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:1284:3: error: 'struct stat' has no member named 'st_ctimespec'
> Fuse.xs:1285:3: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:1285:3: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:1285:3: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:1285:3: error: 'struct stat' has no member named 'st_mtimespec'
> Fuse.xs:1286:3: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:1286:3: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:1286:3: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.xs:1286:3: error: 'struct stat' has no member named 'st_atimespec'
> Fuse.c: In function 'XS_Fuse_CLONE':
> Fuse.c:1672:11: warning: unused variable 'items' [-Wunused-variable]
> make[1]: *** [Fuse.o] Error 1
> make[1]: Leaving directory `/build/buildd-libfuse-perl_0.15.1-1-kfreebsd-amd64-HOLPjk/libfuse-perl-0.15.1'
> make: *** [debian/stamp-makefile-build] Error 2
> dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2

 [1]: https://buildd.debian.org/status/fetch.php?pkg=libfuse-perl&arch=kfreebsd-amd64&ver=0.15.1-1&stamp=1335651318
 [2]: https://buildd.debian.org/status/fetch.php?pkg=libfuse-perl&arch=kfreebsd-i386&ver=0.15.1-1&stamp=1335651986

Regards,
Salvatore

- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPnOoxAAoJEHidbwV/2GP+51cP/1Cabzx7gvAQQ2u3HED7Kjlz
I4sHQQejL8QRtCeGuQ6ygP3O8R6PRk0uJYoypaEf5kGaKMyg8hC+v/qpxgESJ0wa
6tgEnRyztUSSSjkLs4Z3Fi+0k96MaLjctgI+llGgCHxFJTZzZ/1Bk3XCwGQe8a8i
HEC22OUbvippU604ILCnV62V9K7SK/ic0sRc2A86Ye5EiN1Lf7AOdD2/tJJ8qv6c
2QPCh4MtbmGQqXldjgqwpl9sOPqcNpvsTQLjdGL7xoJzwq73w/Imq/qyMsX3WvSZ
Uc0+51mJ/Ag86S8do5KsdQd1H2OsesAA4rZHOE+q3pxrncajzeIAFRfj+cF9XnL5
LR5GrYCoKnXSl0F8buZYo7hQ7LFPBVgLaO+9ATY5ufjEpTEQdXyTCCbmMNlCMRwy
2MPdVjgN8B6KHOydYSOQT0Yic5w5Alh2TIiId5LwQtgDmducd5aMf7y0Lv/ZhoCj
Ow3yLfcb+miobW+fUhi0uQPSt3wwy8QZk0K6bo8Myq4A/vGn82Jr4PPcf0T0ngMw
x04xwieFZVfpGj4dQRZ96NrNHocku+X8yYRC3Es53K2+rsuYi+Z6nGXpRkWRQVAt
m9WNGDGDMtBKnkXGt2gwZN31YfaV/hsa+8K5wfY4Sa+jWmxh/tNE+PlAd1ruPej7
zAeuPVaztusNGZQAeKqB
=WfOW
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#670808; Package src:libfuse-perl. (Sun, 29 Apr 2012 20:39:04 GMT) Full text and rfc822 format available.

Message #8 received at 670808@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 670808@bugs.debian.org, 670808-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libfuse-perl package
Date: Sun, 29 Apr 2012 20:38:14 +0000
tag 670808 + pending
thanks

Some bugs in the libfuse-perl package are closed in revision
d2218c83dc92eb9cbb4f0b8f04f3cf90d3929e97 in branch 'master' by
Salvatore Bonaccorso

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libfuse-perl.git;a=commitdiff;h=d2218c8

Commit message:

    Add fix-FTBFS-on-kfreebsd.patch patch
    
    Fix FTBFS on Debian GNU/kFreeBSD architecture: "error: 'struct stat' has
    no member named 'st_ctimespec'".
    
    Closes: #670808





Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sun, 29 Apr 2012 20:39:07 GMT) Full text and rfc822 format available.

Message sent on to Salvatore Bonaccorso <carnil@debian.org>:
Bug#670808. (Sun, 29 Apr 2012 20:39:10 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Mon, 30 Apr 2012 14:54:05 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 14:54:06 GMT) Full text and rfc822 format available.

Message #18 received at 670808-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 670808-close@bugs.debian.org
Subject: Bug#670808: fixed in libfuse-perl 0.15.1-2
Date: Mon, 30 Apr 2012 14:51:34 +0000
Source: libfuse-perl
Source-Version: 0.15.1-2

We believe that the bug you reported is fixed in the latest version of
libfuse-perl, which is due to be installed in the Debian FTP archive:

libfuse-perl_0.15.1-2.debian.tar.gz
  to main/libf/libfuse-perl/libfuse-perl_0.15.1-2.debian.tar.gz
libfuse-perl_0.15.1-2.dsc
  to main/libf/libfuse-perl/libfuse-perl_0.15.1-2.dsc
libfuse-perl_0.15.1-2_amd64.deb
  to main/libf/libfuse-perl/libfuse-perl_0.15.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670808@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated libfuse-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 30 Apr 2012 14:21:00 +0200
Source: libfuse-perl
Binary: libfuse-perl
Architecture: source amd64
Version: 0.15.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 libfuse-perl - Perl bindings for FUSE (Filesystems in USErland
Closes: 670808
Changes: 
 libfuse-perl (0.15.1-2) unstable; urgency=low
 .
   * Team upload.
   * Add fix-FTBFS-on-kfreebsd.patch patch.
     Fix FTBFS on Debian GNU/kFreeBSD architecture: "error: 'struct stat' has
     no member named 'st_ctimespec'". (Closes: #670808)
Checksums-Sha1: 
 f96f8b558c37a696e1fb9571fed6dae55b46f6e6 2074 libfuse-perl_0.15.1-2.dsc
 e0cd68b1055e580c4f0305d1661c30de8464f5df 3572 libfuse-perl_0.15.1-2.debian.tar.gz
 760596966620448d842072af0f8229f3bec24dba 56682 libfuse-perl_0.15.1-2_amd64.deb
Checksums-Sha256: 
 bb07d64f7d8a18dceab4a29f0d0f6aff8494f13a9c298efd856bbad7c5753459 2074 libfuse-perl_0.15.1-2.dsc
 13093c661d81bae2dc9aa0e6acb4348340f292e39c9ffe316af27ce327e3dc61 3572 libfuse-perl_0.15.1-2.debian.tar.gz
 738336423b9af560e9f23f970ed0114ad010bb23186b5cfdbdf10ccb2822ff1b 56682 libfuse-perl_0.15.1-2_amd64.deb
Files: 
 e7762bbda13a62ca7ecc7857011f5e4f 2074 perl optional libfuse-perl_0.15.1-2.dsc
 f4ab7374dc4bcd6f3cf5cb138a53b3b1 3572 perl optional libfuse-perl_0.15.1-2.debian.tar.gz
 19b615dd4a519566ad86b45cd7faa2a2 56682 perl optional libfuse-perl_0.15.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPnp3GAAoJEHidbwV/2GP+mxEP/3pHAVXofrqgVGUcOY47Moe4
/qTUpk6vuFUAVaElpCIVmRTxnhTOMvahCQ2nRYRHe82dAI0b1dk1Vut9SAoCNOYC
a5gsYUAyKz+9A6qDmr07P5fwNOhivBDFFdtBH5KhrHzTXYi4uxL1z3BI2qCMBl2b
H30nv8ezZpMYudanyxsLc8iELk/QCot8EDNAa0kL3QXBqilnKxYpeonP4Wmji6QU
qIzi2p8RZA0sX0wA6Ik2Jep0ZEb19I9ig96gALdd6w568+QRbO7N91HnT06bmZFr
LTjEgg/d8UdThBCTz/V8l8lQ9ftN400SL5VdUy+i8/opvXIKF2Uv/3x+XLS9gXFN
luDXVV/DKjW+CSKpkpUuo3aAB+iCrb8f+fTh2ZXA1sQLcVDGUZbmF+tPygv7384G
OwZIrEcpEer+RIR6ZQdP94kqyBslR2wk6I62gtvh0OY32tOH0mK6YLt0O5/dTI6S
dT9Q+MsSgTz/LGCXz3BFfBjvGkQMjfrex3OdrShLDV5muMqB/ZJLJ2Ez6hzdeTyk
J5Q7tNbgQAD470fTpoQlqusB1rbxlaWCKxk5Bj2nKgvv1im2f58xRQYh9YcCDAUM
6G0nIiAKGC1boAVE7LTSrdv7D8toMEHmoONRfygIX0Qj6O6kvm8SbGeqMGWBBQRM
CNZH1m30cQr+8ubmfukY
=v+rC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 May 2012 07:36:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:02:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.